(function () {
    "use strict";

    angular.module('core').controller('membrosOnlineController', controller);
    controller.$inject = ['$scope', '$q', '$alert', 'membrosOnlineService'];

    function controller($scope, $q, $alert, membrosOnlineService) {
        $scope.initializeLayout('Membros Online');

        //[Inicializa objetos]
        $scope.state = {
            data: [],
            carregando: false,
            vazio: false
        };

        //[Inicializa funcões]
        $scope.initialize = function () {
            $scope.refresh();
        };

        $scope.getAll = function () {
            $scope.state.carregando = true;
            $scope.state.vazio = false;
            membrosOnlineService
                .getAll()
                .then(
                    function (response) {
                        if (response.Status < 0) {
                            $alert({ text: response.Message, title: $scope.Title });
                        } else {
                            angular.copy(angular.fromJson(response.Data), $scope.state.data);
                        }
                        $scope.state.carregando = false;
                        $scope.state.vazio = $scope.state.data && !$scope.state.data.length;
                    },
                    function (_error) {
                        $scope.state.carregando = false;
                        $scope.tools.toastr.error('Não foi possível conectar com o(s) servidor(es)');
                    }
                );
        };
        $scope.refresh = function () {
            $scope.getAll();
        };

        /*Inicializa funções*/
        $scope.initialize();

    }

})();